Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support.components
Class JPropertiesTable.PropertiesTableModel<T>

    java.lang.Object
      javax.swing.table.AbstractTableModel
          com.eviware.soapui.support.components.JPropertiesTable.PropertiesTableModel<T>

All Implemented Interfaces:
  java.beans.PropertyChangeListener, java.io.Serializable, java.util.EventListener, javax.swing.table.TableModel

Enclosing class:
  JPropertiesTable<T>

    public static final class JPropertiesTable.PropertiesTableModel<T>

extends javax.swing.table.AbstractTableModel
implements java.beans.PropertyChangeListener

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`JPropertiesTable.PropertiesTableModel(T propertyObject)`

Method Summary
`JPropertiesTable.PropertyDescriptor` | `addProperty(java.lang.String caption, java.lang.String name, boolean editable, JPropertiesTable.PropertyFormatter formatter)`
`JPropertiesTable.PropertyDescriptor` | `addProperty(java.lang.String caption, java.lang.String name, java.lang.Object[] options)`
`void` | `attach()`
`int` | `getColumnCount()`
`JPropertiesTable.PropertyDescriptor` | `getPropertyDescriptorAt(int row)`
`int` | `getRowCount()`
`java.lang.Object` | `getValueAt(int rowIndex, int columnIndex)`
`boolean` | `isCellEditable(int rowIndex, int columnIndex)`
`void` | `propertyChange(java.beans.PropertyChangeEvent evt)`
`void` | `release()`
`void` | `setPropertyObject(T propertyObject)`
`void` | `setValueAt(java.lang.Object aValue, int rowIndex, int columnIndex)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getColumnName, getListeners, getTableModelListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JPropertiesTable.PropertiesTableModel

    public JPropertiesTable.PropertiesTableModel(T propertyObject)

Method Detail

### attach

    public void attach()

### setPropertyObject

    public void setPropertyObject(T propertyObject)

### addProperty

    public JPropertiesTable.PropertyDescriptor addProperty(java.lang.String caption,
                                                           java.lang.String name,
                                                           boolean editable,
                                                           JPropertiesTable.PropertyFormatter formatter)

### addProperty

    public JPropertiesTable.PropertyDescriptor addProperty(java.lang.String caption,
                                                           java.lang.String name,
                                                           java.lang.Object[] options)

### getRowCount

    public int getRowCount()

  Specified by:
    `getRowCount` in interface `javax.swing.table.TableModel`

### getColumnCount

    public int getColumnCount()

  Specified by:
    `getColumnCount` in interface `javax.swing.table.TableModel`

### isCellEditable

    public boolean isCellEditable(int rowIndex,
                                  int columnIndex)

  Specified by:
    `isCellEditable` in interface `javax.swing.table.TableModel`
  Overrides:
    `isCellEditable` in class `javax.swing.table.AbstractTableModel`

### setValueAt

    public void setValueAt(java.lang.Object aValue,
                           int rowIndex,
                           int columnIndex)

  Specified by:
    `setValueAt` in interface `javax.swing.table.TableModel`
  Overrides:
    `setValueAt` in class `javax.swing.table.AbstractTableModel`

### getValueAt

    public java.lang.Object getValueAt(int rowIndex,
                                       int columnIndex)

  Specified by:
    `getValueAt` in interface `javax.swing.table.TableModel`

### getPropertyDescriptorAt

    public JPropertiesTable.PropertyDescriptor getPropertyDescriptorAt(int row)

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

### release

    public void release()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.